/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package artificial.intelligence;

import java.util.ArrayList;

/**
 *
 * @author Xavier
 */
public class Hospital {

    private ArrayList<Room> rooms;
    private ArrayList<RoomProperties> roomProp;
    private ArrayList<Departments> department;
    private ArrayList<Specialisms> specialism;
    private ArrayList<Patient> patient;

    public Hospital() {
        rooms = new ArrayList<Room>();
        roomProp = new ArrayList<RoomProperties>();
        department = new ArrayList<Departments>();
        specialism = new ArrayList<Specialisms>();
        patient = new ArrayList<Patient>();
    }

    public ArrayList<Departments> getDepartment() {
        return department;
    }

    public void setDepartment(ArrayList<Departments> department) {
        this.department = department;
    }

    public ArrayList<Patient> getPatient() {
        return patient;
    }

    public void setPatient(ArrayList<Patient> patient) {
        this.patient = patient;
    }

    public ArrayList<RoomProperties> getRoomProp() {
        return roomProp;
    }

    public void setRoomProp(ArrayList<RoomProperties> roomProp) {
        this.roomProp = roomProp;
    }

    public ArrayList<Room> getRooms() {
        return rooms;
    }

    public void setRooms(ArrayList<Room> rooms) {
        this.rooms = rooms;
    }

    public ArrayList<Specialisms> getSpecialism() {
        return specialism;
    }

    public void setSpecialism(ArrayList<Specialisms> specialism) {
        this.specialism = specialism;
    }

    public Specialisms getSpecialism(int id) {
        for (Specialisms s : specialism) {
            if (s.getId() == id) {
                return s;
            }
        }
        return null;
    }

    public Departments getDepartment(int id) {
        for (Departments d : department) {
            if (d.getId() == id) {
                return d;
            }
        }
        return null;
    }

    public Room getRoom(int id) {
        for (Room r : rooms) {
            if (r.getId() == id) {
                return r;
            }
        }
        return null;
    }

    public Patient getPatient(int idPatient) {
        for (Patient p : patient) {
            if (p.getId() == idPatient) {
                return p;
            }
        }
        return null;
    }

    public Beds getBeds(int idBed) {
        for (Room r : rooms) {
            for (Beds b : r.getBeds()) {
                if (b.getId() == idBed) {
                    return b;
                }
            }
        }
        return null;
    }
}
