/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package artificial.intelligence;

import java.util.ArrayList;
import java.lang.Integer;

/**
 *
 * @author Xavier
 */
public class Room {
    private int id;
    private int number;
    private ArrayList<Beds> beds;
    private Departments department;
    private char gender;
    private ArrayList<Specialisms> specialisms;
    private ArrayList<Integer> prioritySpec;
    private ArrayList<RoomProperties> properties;

    public Room(int id, int number, char gender) {
        this.id = id;
        this.number = number;
        this.gender = gender;
        this.beds = new ArrayList<Beds>();
        this.specialisms = new ArrayList<Specialisms>();
        this.prioritySpec = new ArrayList<Integer>();
        this.properties = new ArrayList<RoomProperties>();
    }

    public ArrayList<Beds> getBeds() {
        return beds;
    }

    public void setBeds(ArrayList<Beds> beds) {
        this.beds = beds;
    }

    public Departments getDepartment() {
        return department;
    }

    public void setDepartment(Departments department) {
        this.department = department;
    }

    public char getGender() {
        return gender;
    }

    public void setGender(char gender) {
        this.gender = gender;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getNumber() {
        return number;
    }

    public void setNumber(int number) {
        this.number = number;
    }

    public ArrayList<RoomProperties> getProperties() {
        return properties;
    }

    public void setProperties(ArrayList<RoomProperties> properties) {
        this.properties = properties;
    }

    public ArrayList<Specialisms> getSpecialisms() {
        return specialisms;
    }

    public void setSpecialisms(ArrayList<Specialisms> specialisms) {
        this.specialisms = specialisms;
    }
    
    public ArrayList<Integer> getPrioritySpec() {
        return prioritySpec;
    }

    public void setPrioritySpec(ArrayList<Integer> prioritySpec) {
        this.prioritySpec = prioritySpec;
    }

    @Override
    public String toString() {
        return "Room{" + "id=" + id + ", number=" + number + ", beds=" + beds + ", department=" + department + ", gender=" + gender + ", specialisms=" + specialisms + ", prioritySpec=" + prioritySpec + ", properties=" + properties + '}';
    }
    
    
    
}
